# Generated from rmodel-1.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rmodel

Name: rubygem-%{gem_name}
Version: 1.1.0
Release: 1%{?dist}
Summary: Rmodel is an ORM library, which tends to follow the SOLID principles
License: MIT
URL: https://github.com/alexei-lexx/rmodel
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(activesupport)
# BuildRequires: rubygem(sinatra)
# BuildRequires: rubygem(activemodel)
# BuildRequires: rubygem(lazy_injector)
BuildArch: noarch

%description
Rmodel is an ORM library, which tends to follow the
SOLID principles.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/rmodel.gemspec
%{gem_instdir}/spec

%changelog
* Wed Apr 20 2022 mockbuilder - 1.1.0-1
- Initial package
